import java.awt.Dimension;
import javax.swing.UIManager;
import com.jidesoft.plaf.LookAndFeelFactory;
import com.jidesoft.utils.SystemInfo;
import com.pagosoft.plaf.*;
import com.pagosoft.plaf.themes.*;

// set native look on windows and mac
if(!(SystemInfo.isLinux() || SystemInfo.isUnix() || SystemInfo.isSolaris())) {
	try {
		UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
		// apple needs some tweaks
		if(!SystemInfo.isAnyMac()) {
			// for windows, we'll use XERTO_STYLE - looks great!
			LookAndFeelFactory.installJideExtension(LookAndFeelFactory.XERTO_STYLE);
		}
    } catch (Exception e) {
         e.printStackTrace();
    }
// use PgsLookAndFeel on Linux, Solaris and other unixes
} else {
	PlafOptions.setDefaultMenuItemIconSize(new Dimension(16, 16));
	PlafOptions.useBoldFonts(false);
	//PlafOptions.setCurrentTheme(new SilverTheme());
	PlafOptions.setAsLookAndFeel();
	LookAndFeelFactory.installJideExtension(LookAndFeelFactory.XERTO_STYLE);
}
